Bug 76101 - Unicode sent in ICQ protocol
Unicode sent in ICQ protocol
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gaim (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-16 16:51 EDT by Stefan Ekman
Modified: 2007-04-18 12:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-17 02:44:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Ekman 2002-10-16 16:51:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
When chatting in ICQ, ä &ouml, å are sent as multibyte sequences to
other clients (Mirabilis ICQ) and not viewed correctly. The same characters are
stripped when recieved from ICQ.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Chat in with ICQ user
2.Write a text containing umlauted characters.
3.Ask other user to write umlauted characters
	

Actual Results:  Stripped characters when recieved. Multibyte shown incorrectly
when sent.

Expected Results:  Our local characters showed as expected.

Additional info:

I have submitted a similair bug to the Gimp package. So perhaps this is a more
deepgoing problem with RH8 using multibyte representation as standard.
Comment 1 Christopher Blizzard 2002-11-11 13:46:14 EST
More likely it's a problem with using a gtk1.2 based application.
Comment 2 Stefan Ekman 2002-11-29 05:47:48 EST
If I set LANG to sv_SE instead of the default sv_SE.utf8 it works as expected.
Comment 3 Warren Togami 2004-03-17 02:44:58 EST
This should also be fine in the newer gtk2 gaim.  In any case RH8 has
hit end of life, so closing.

Note You need to log in before you can comment on or make changes to this bug.